Loading...
Searching...
No Matches
libcamera::ThreadData Class Reference

Thread-local internal data. More...

## Public Member Functions

| ThreadData (Thread *thread)
| Constructor for internal thread data.

## Static Public Member Functions

static ThreadData * | current ()
| Retrieve thread-local internal data for the current thread.

## Friends

class | Thread
class | ThreadMain

## Detailed Description

Thread-local internal data.

## Constructor & Destructor Documentation

## ThreadData()

libcamera::ThreadData::ThreadData | ( | Thread * | thread | ) |

inline

Constructor for internal thread data.

Parameters

  [in] | thread | The associated thread

## Member Function Documentation

## current()

ThreadData * libcamera::ThreadData::current | ( |  | ) |

static

Retrieve thread-local internal data for the current thread.

Returns
  The thread-local internal data for the current thread

The documentation for this class was generated from the following file:

- src/libcamera/base/thread.cpp